[package]
name = "rup"
version = "1.0.0"
authors = ["GrÃ©gory Burri <greg.burri@gmail.com>"]
edition = "2018"

[dependencies]
actix-web = "2.0"
actix-rt = "1.1"
actix-files = "0.2"
serde = { version = "1.0", features = ["derive"] }

openssl = "0.10"

listenfd = "0.3" # To watch file modifications and automatically launch a build process (only used in dev/debug).
ron = "0.6" # Rust object notation, to load configuration files.
itertools = "0.9"
percent-encoding = "2.1"
base64 = "0.12"
rand = "0.7"

r2d2_sqlite = "0.15" # Connection pool with rusqlite (SQLite access).
r2d2 = "0.8"

futures = "0.3" # Needed by askam with the feature 'with-actix-web'.

common = { path = "../common" }

[dependencies.rusqlite]
version = "0.22"
features = ["bundled"]

# Template system.
[dependencies.askama]
version = "0.9"
features = ["with-actix-web"]
